Loading...
Searching...
No Matches
reference_element.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::edge
namespace | rheolef::triangle
namespace | rheolef::quadrangle
namespace | rheolef::tetrahedron
namespace | rheolef::prism
namespace | rheolef::hexahedron

## Macros

#define | _RHEO_EDGE_ICC
#define | _RHEO_TRIANGLE_ICC
#define | _RHEO_QUADRANGLE_ICC
#define | _RHEO_TETRA_ICC
#define | _RHEOLEF_PRISM_ICC
#define | _RHEOLEF_HEXA_ICC
#define | _RHEOLEF_reference_element_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)
#define | _RHEOLEF_geo_element_auto_case(VARIANT)

## Functions

Float | measure (reference_element hat_K)

## Variables

const size_t | dimension = 1
const Float | measure = 1
const size_t | n_vertex = 2
const point | vertex [n_vertex]
const size_t | dimension = 2
const Float | measure = 0.5
const size_t | n_vertex = 3
const point | vertex [n_vertex]
const size_t | n_edge = 3
const size_t | edge [n_edge][2]
const size_t | dimension = 2
const Float | measure = 4
const size_t | n_vertex = 4
const point | vertex [n_vertex]
const size_t | n_edge = 4
const size_t | edge [n_edge][2]
const size_t | dimension = 3
const Float | measure = Float(1.)/Float(6.)
const size_t | n_vertex = 4
const point | vertex [n_vertex]
const size_t | n_face = 4
const size_t | face [n_face][3]
const size_t | n_edge = 6
const size_t | edge [n_edge][2]
const size_t | dimension = 3
const Float | measure = 1
const size_t | n_vertex = 6
const point | vertex [n_vertex]
const size_t | n_face = 5
const size_t | face [n_face][4]
const size_t | n_edge = 9
const size_t | edge [n_edge][2]
const size_t | dimension = 3
const Float | measure = 8
const size_t | n_vertex = 8
const point | vertex [n_vertex]
const size_t | n_face = 6
const size_t | face [n_face][4]
const size_t | n_edge = 12
const size_t | edge [n_edge][2]

## Macro Definition Documentation

## _RHEO_EDGE_ICC

#define _RHEO_EDGE_ICC

## _RHEO_TRIANGLE_ICC

#define _RHEO_TRIANGLE_ICC

## _RHEO_QUADRANGLE_ICC

#define _RHEO_QUADRANGLE_ICC

## _RHEO_TETRA_ICC

#define _RHEO_TETRA_ICC

## _RHEOLEF_PRISM_ICC

#define _RHEOLEF_PRISM_ICC

## _RHEOLEF_HEXA_ICC

#define _RHEOLEF_HEXA_ICC

## _RHEOLEF_reference_element_case

#define _RHEOLEF_reference_element_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::n_subgeo (subgeo_dim);

## _RHEOLEF_geo_element_auto_case [1/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::subgeo_n_node (order, subgeo_dim, loc_isid);

## _RHEOLEF_geo_element_auto_case [2/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::subgeo_local_node (order, subgeo_dim, loc_isid, loc_jsidnod);

## _RHEOLEF_geo_element_auto_case [3/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT##_first_inod_by_variant (order, subgeo_variant);

## _RHEOLEF_geo_element_auto_case [4/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::side_measure (loc_isid);

## _RHEOLEF_geo_element_auto_case [5/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
reference_element_##VARIANT::side_normal (loc_isid, hat_n); break;

## _RHEOLEF_geo_element_auto_case [6/6]

#define _RHEOLEF_geo_element_auto_case | ( |  | VARIANT | ) |

Value:
case reference_element::VARIANT: \
return reference_element_##VARIANT::vertex (iloc);